--[[
[02:14 PM] [Virag's DT]: 14 - Light of Dawn
[02:14 PM] [Virag's DT]: 6 - Pinkiepiie
[02:14 PM] [Virag's DT]: 3 - SPELL_CAST_SUCCESS
[02:15 PM] [Virag's DT]: 14 - Ocean's Embrace
[02:15 PM] [Virag's DT]: 6 - Pinkiepiie
[02:15 PM] [Virag's DT]: 3 - SPELL_AURA_APPLIED
[02:15 PM] [Virag's DT]: 1 - COMBAT_LOG_EVENT_UNFILTERED
]]--

--COMBAT_LOG_EVENT_UNFILTERED
function(...)
	local name = select(6, ...)
	if name == UnitName("player") then
		local subevent = select(3, ...)
		if subevent == "SPELL_CAST_SUCCESS" then
			local sname = select(14, ...)
			if sname == "Light of Dawn" then
				aura_env.LoD = aura_env.LoD + 1
				CustomTrash["SeaStar"]["Casts"] = CustomTrash["SeaStar"]["Casts"] + 1
			end
		end
		if subevent == "SPELL_AURA_APPLIED" then
			local sname = select(14, ...)
			if sname == "Ocean's Embrace" then
				aura_env.proc = aura_env.proc + 1
				CustomTrash["SeaStar"]["Procs"] = CustomTrash["SeaStar"]["Procs"] + 1
			end
		end
	end
end

--DISPLAY
function()
	return aura_env.proc .. "/" .. aura_env.LoD
end

--INIT
aura_env.LoD = CustomTrash["SeaStar"]["Casts"]
aura_env.proc = CustomTrash["SeaStar"]["Procs"]